/*
 * Functions for calculating quantifying entanglement. 
 * 
 * 
 * Robert Johansson <robert@riken.jp>
 *
 * $Id: entanglement.h,v 1.1.1.1 2008-09-03 09:36:41 rob Exp $
 */

#ifndef ENTANGLEMENT_H
#define ENTANGLEMENT_H

#include <gsl/gsl_matrix.h>

#include "quantum_system.h"
#include "density_matrix.h"

double entanglement_concurrence(quantum_system *qs, gsl_matrix_complex *rho);
double entanglement_log_neg(gsl_matrix_complex *rho);
double entanglement_neumann_entropy(gsl_matrix_complex *rho);
	

#endif

