/*
 * A collection of functions that extend the GSL.
 *
 * Robert Johansson <robert@riken.jp>
 *
 * $Id: gsl_ext.h,v 1.1.1.1 2008-09-03 09:36:41 rob Exp $
 */

#ifndef GSL_EXT_H
#define GSL_EXT_H

#include <gsl/gsl_complex.h>
#include <gsl/gsl_matrix.h>

#ifdef RCSS
#include "gsl_ext_rscc.h"
#endif

int gsl_ext_matrix_convert(gsl_matrix_complex *dst, gsl_matrix *src);
gsl_matrix_complex *gsl_ext_matrix_convert_and_free(gsl_matrix *m);

int gsl_ext_expm_complex(gsl_matrix_complex *A, gsl_matrix_complex *eA);

int gsl_ext_eigen_zgeev(gsl_matrix_complex *A_gsl, gsl_matrix_complex *evec, gsl_vector_complex *eval);
	

#endif
