/*
 * Functions for generating hamiltonians in matrix form 
 * 
 * 
 * Robert Johansson <robert@riken.jp>
 *
 * $Id: master_equation.h,v 1.1.1.1 2008-09-03 09:36:41 rob Exp $
 */

#ifndef MASTER_EQUATION_H
#define MASTER_EQUATION_H

#include <gsl/gsl_matrix.h>

#include "quantum_system.h"
#include "param.h"

typedef int (*rho_cb_func_t)(gsl_matrix_complex *rho_t, double t, quantum_system *qs, solver_param *sp);


int	dm_evolve_unitary_const(quantum_system *qs, gsl_matrix_complex *rho0, solver_param *param, rho_cb_func_t rho_cb_func);
int	dm_evolve_unitary_const_simple(quantum_system *qs, gsl_matrix_complex *rho0, solver_param *param, rho_cb_func_t rho_cb_func);
int	dm_evolve_unitary_t(quantum_system *qs, gsl_matrix_complex *rho0, solver_param *param, rho_cb_func_t rho_cb_func);

int 	dm_evolve_lme_t(quantum_system *qs, gsl_matrix_complex *rho0, solver_param *param, rho_cb_func_t rho_cb_func);
int	dm_evolve_lme_ib_t(quantum_system *qs, gsl_matrix_complex *rho0, solver_param *param, rho_cb_func_t rho_cb_func);
int	dm_calculate_propagator(quantum_system *qs, solver_param *param, rho_cb_func_t rho_cb_func, gsl_matrix_complex *U);

#endif

