/*
 * Functions for calculating the steady state of a system with dissipation. 
 * 
 * 
 * Robert Johansson <robert@riken.jp>
 *
 * $Id: steadystate.h,v 1.1 2008-09-22 16:13:02 rob Exp $
 */

#ifndef STEADY_STATE_H
#define STEADY_STATE_H

#include <gsl/gsl_matrix.h>

#include "quantum_system.h"
#include "param.h"

int	dm_steady_state(quantum_system *qs, gsl_matrix_complex *rho_ss, solver_param *param);
int dm_steady_state_eig(quantum_system *qs, gsl_matrix_complex *rho_ss, solver_param *param);
int	dm_steady_state_from_propagator(quantum_system *qs, solver_param *param, gsl_matrix_complex *rho_ss, gsl_matrix_complex *U);

#endif

