/*
 * Functions for calculating the steady state of a system with dissipation. 
 * Using sparse matrix algebra.
 * 
 * Robert Johansson <robert@riken.jp>
 *
 * $Id: steadystate_sparse.h,v 1.1 2008-10-23 07:15:51 rob Exp $
 */

#ifndef STEADY_STATE_SPARSE_H
#define STEADY_STATE_SPARSE_H

#include <gsl/gsl_matrix.h>

#include "quantum_system.h"
#include "param.h"

int	dm_steady_state_sparse(quantum_system *qs, gsl_matrix_complex *rho_ss, solver_param *param);
int	dm_steady_state_from_propagator(quantum_system *qs, solver_param *param, gsl_matrix_complex *rho_ss, gsl_matrix_complex *U);

#endif

